function Scheme1()
{
  function TRSBlock_FromTag1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_FromTag1);
  this.value = "Server.Tags.Virtual 1";


  this.Execute = function(inputlist)
  {
     this.outparamlist[0].value = IR.GetVariable(this.value);
     inputlist.push(this.outparamlist[0].SendValue());
     return true;
  }
     
  }
  function TRSBlock_ToTag1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_ToTag1);
  this.value = "Server.Tags.Virtual 2";


  this.Execute = function(inputlist)
  {
     IR.SetVariable(this.value, this.inparamlist[0].value);
     return true;
  }
     
  }
  function TRSBlock_ConstValue1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_ConstValue1);
  this.value = 20;


  this.Execute = function(inputlist)
  {
     this.outparamlist[0].value = this.value;
     inputlist.push(this.outparamlist[0].SendValue());
     return true;
  }
     
  }
  function TRSBlock_RSTrigger1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_RSTrigger1);
  this.value = 0;


  this.Execute = function(inputlist)
  {
     if (this.inparamlist[1].value != 0)
         this.value = 0;
     else
     if (this.inparamlist[0].value != 0)
         this.value = this.inparamlist[0].value;

     this.outparamlist[0].value = this.value;
     inputlist.push(this.outparamlist[0].SendValue());
     return true;
  }
     
  }
  function TRSBlock_Less1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_Less1);


  this.Execute = function(inputlist)
  {
     if (this.inparamlist[0].value < this.inparamlist[1].value)
       this.outparamlist[0].value = 1;
     else
       this.outparamlist[0].value = 0;
     inputlist.push(this.outparamlist[0].SendValue());
     return true;
  }
     
  }
  function TRSBlock_Duplicate1()
  {
    TRSBlock.apply(this, arguments);
    extend(TRSBlock, TRSBlock_Duplicate1);


  this.Execute = function(inputlist)
  {
     this.outparamlist[0].value = this.inparamlist[0].value;
     this.outparamlist[1].value = this.inparamlist[0].value;
     inputlist.push(this.outparamlist[0].SendValue());
     inputlist.push(this.outparamlist[1].SendValue());
     return true;
  }
     
  }
  var executor;
  this.Init = function()
  {
    executor = new TRSchemeEexecutor;
    var block_TRSBlock_FromTag1 = new TRSBlock_FromTag1;
    var output_TRSBlock_FromTag1_0 = new TRSOutput;
    block_TRSBlock_FromTag1.AddOutput(output_TRSBlock_FromTag1_0);
    executor.AddBlock(block_TRSBlock_FromTag1);
    var block_TRSBlock_ToTag1 = new TRSBlock_ToTag1;
    var input_TRSBlock_ToTag1_0 = new TRSInput;
    block_TRSBlock_ToTag1.AddInput(input_TRSBlock_ToTag1_0);
    executor.AddBlock(block_TRSBlock_ToTag1);
    var block_TRSBlock_ConstValue1 = new TRSBlock_ConstValue1;
    var output_TRSBlock_ConstValue1_0 = new TRSOutput;
    block_TRSBlock_ConstValue1.AddOutput(output_TRSBlock_ConstValue1_0);
    executor.AddBlock(block_TRSBlock_ConstValue1);
    var block_TRSBlock_RSTrigger1 = new TRSBlock_RSTrigger1;
    var input_TRSBlock_RSTrigger1_0 = new TRSInput;
    block_TRSBlock_RSTrigger1.AddInput(input_TRSBlock_RSTrigger1_0);
    var input_TRSBlock_RSTrigger1_1 = new TRSInput;
    block_TRSBlock_RSTrigger1.AddInput(input_TRSBlock_RSTrigger1_1);
    var output_TRSBlock_RSTrigger1_0 = new TRSOutput;
    block_TRSBlock_RSTrigger1.AddOutput(output_TRSBlock_RSTrigger1_0);
    executor.AddBlock(block_TRSBlock_RSTrigger1);
    var block_TRSBlock_Less1 = new TRSBlock_Less1;
    var input_TRSBlock_Less1_0 = new TRSInput;
    block_TRSBlock_Less1.AddInput(input_TRSBlock_Less1_0);
    var input_TRSBlock_Less1_1 = new TRSInput;
    block_TRSBlock_Less1.AddInput(input_TRSBlock_Less1_1);
    var output_TRSBlock_Less1_0 = new TRSOutput;
    block_TRSBlock_Less1.AddOutput(output_TRSBlock_Less1_0);
    executor.AddBlock(block_TRSBlock_Less1);
    var block_TRSBlock_Duplicate1 = new TRSBlock_Duplicate1;
    var input_TRSBlock_Duplicate1_0 = new TRSInput;
    block_TRSBlock_Duplicate1.AddInput(input_TRSBlock_Duplicate1_0);
    var output_TRSBlock_Duplicate1_0 = new TRSOutput;
    block_TRSBlock_Duplicate1.AddOutput(output_TRSBlock_Duplicate1_0);
    var output_TRSBlock_Duplicate1_1 = new TRSOutput;
    block_TRSBlock_Duplicate1.AddOutput(output_TRSBlock_Duplicate1_1);
    executor.AddBlock(block_TRSBlock_Duplicate1);
    output_TRSBlock_FromTag1_0.Input = input_TRSBlock_Duplicate1_0;
    output_TRSBlock_ConstValue1_0.Input = input_TRSBlock_Less1_1;
    output_TRSBlock_RSTrigger1_0.Input = input_TRSBlock_ToTag1_0;
    output_TRSBlock_Less1_0.Input = input_TRSBlock_RSTrigger1_1;
    output_TRSBlock_Duplicate1_0.Input = input_TRSBlock_RSTrigger1_0;
    output_TRSBlock_Duplicate1_1.Input = input_TRSBlock_Less1_0;
    executor.Prepare();
  }
  this.Execute = function()
  {
    executor.Execute();
  }
}
var IRScheme_Scheme1;
IR.AddListener(IR.EVENT_START, 0, function()
{
  IRScheme_Scheme1 = new Scheme1;
  IRScheme_Scheme1.Init();
  IR.AddListener(IR.EVENT_TAG_CHANGE, IR.GetServer(), function(name,value)
  {
    if (name == "Virtual 1")
       IRScheme_Scheme1_Execute();
  });
});
function IRScheme_Scheme1_Execute()
{
  IRScheme_Scheme1.Execute();
}
var IRScheme_Scheme1_Timer;
function IRScheme_Scheme1_StartTimer()
{
  IRScheme_Scheme1_Timer = IR.SetInterval(1000, IRScheme_Scheme1_Execute);
}
function IRScheme_Scheme1_StopTimer()
{
  IR.ClearInterval(IRScheme_Scheme1_Timer);
}
